@media (max-width: 768px) {
    .navbar .menu {
        display: none;
        flex-direction: column;
        gap: 10px;
        background-color: #444;
        position: absolute;
        top: 60px;
        right: 20px;
        padding: 10px;
        border-radius: 5px;
        z-index: 2;
    }

    .navbar .menu.active {
        display: flex;
    }

    .menu-icon {
        display: block;
    }
}







@media only screen and (max-width:1050px) {
    .navbar .logo {
        font-size: 25px;
    }

    .header-text h1 {
        font-size: 61px;
    }

    .header-text p {
        font-size: 32px;
        width: 95%;
        line-height: 28px;
    }

    .header-text {
        top: 25%;
        gap: 25px;
    }

    .btn {
        display: flex;
        gap: 20px;
        padding-top: 20px;

    }

    .btn button {
        height: 65px;
        width: 200px;
        font-size: 30px;
    }

    .section-1,
    .section-1-inner {
        height: 50rem;
    }

    /* section - 2 started */
    .section-2 {
        height: 55rem;
        gap: 29px;
    }

    .section-2-sub {
        display: flex;
        width: 90%;
        gap: 30px;
    }

    .about-image img {
        height: 36rem;
        width: 30rem;
    }

    .show {
        display: none;
    }

    .hide {
        display: block;
    }

    .About-heading {
        font-size: 32px;
    }

    .about-text p {
        font-size: 20px;
    }

    .section-3-para {
        line-height: 36px;
        font-weight: bold;
    }


    .contact-sub {
        height: 38rem;
        flex-direction: column;
        align-items: center;
        padding-top: 0;
    }

    .contact-sub-1,
    .contact-sub-2,
    .footer-link {
        width: 90%;
        color: white;
        display: flex;
        flex-direction: column;
        gap: 4px;
    }

    .contact-sub-1 p {
        font-size: 19px;
    }

    .contact-sub-2 P {
        font-size: 19px;
    }

    .contact-sub div h2 {
        font-size: 25px;
    }

    .footer-link a {
        font-size: 19px;
    }

    .footer-link {
        width: 90%;
        color: white;
        display: block;
        flex-direction: column;
        gap: 20px;
    }


    .mail,
    .add,
    .phone-num {
        font-size: 14px;
        font-weight: 600;
    }

    .socal-div {
        display: flex;
        font-size: 30px;
        gap: 10px;
        margin-top: 2px;
    }

    footer {

        font-size: 22px;
    }

}


@media only screen and (max-width:780px) {
    .navbar .logo {
        font-size: 18px;
    }

    .header-text h1 {
        font-size: 46px;
    }

    .header-text p {
        font-size: 25px;
        width: 95%;
        line-height: 28px;
    }

    .header-text {
        top: 10%;
        gap: 10px;
    }

    .btn {
        display: flex;
        gap: 20px;
        padding-top: 20px;
        flex-direction: column;
    }

    .btn button {
        height: 50px;
        width: 352px;
    }

    .section-1 {
        height: 33rem;
    }

    .section-1-inner {
        height: 33rem;
    }

    /* section - 2 started */
    .section-2 {
        height: 55rem;
        gap: 29px;
    }

    .section-2-sub {
        display: flex;
        width: 90%;
        gap: 30px;
        flex-direction: column;
    }

    .about-image img {
        height: 25rem;
        width: 43rem;
    }

    .show {
        display: block;
    }

    .hide {
        display: none;
    }

    .About-heading {
        font-size: 32px;
    }

    .about-text p {
        font-size: 20px;
    }

    .section-3-para {
        line-height: 25px;
    }


    .contact-sub {
        height: 38rem;
        flex-direction: column;
        align-items: center;
        padding-top: 0;
    }

    .contact-sub-1,
    .contact-sub-2,
    .footer-link {
        width: 90%;
        color: white;
        display: flex;
        flex-direction: column;
        gap: 4px;
    }

    .contact-sub-1 p {
        font-size: 19px;
    }

    .contact-sub-2 P {
        font-size: 19px;
    }

    .contact-sub div h2 {
        font-size: 25px;
    }

    .footer-link a {
        font-size: 19px;
    }

    .footer-link {
        width: 90%;
        color: white;
        display: block;
        flex-direction: column;
        gap: 20px;
    }


    .mail,
    .add,
    .phone-num {
        font-size: 14px;
        font-weight: 600;
    }

    .socal-div {
        display: flex;
        font-size: 30px;
        gap: 10px;
        margin-top: 2px;
    }

    footer {

        font-size: 13px;
    }

}


@media only screen and (max-width:720px) {
    .navbar .logo {
        font-size: 18px;
    }

    .header-text h1 {
        font-size: 42px;
    }

    .header-text p {
        font-size: 25px;
        width: 95%;
        line-height: 28px;
    }

    .header-text {
        top: 10%;
        gap: 10px;
    }

    .btn {
        display: flex;
        gap: 20px;
        padding-top: 20px;
        flex-direction: column;
    }

    .btn button {
        height: 50px;
        width: 352px;
    }

    .section-1 {
        height: 33rem;
    }

    .section-1-inner {
        height: 33rem;
    }

    /* section - 2 started */
    .section-2 {
        height: 55rem;
        gap: 29px;
    }

    .section-2-sub {
        display: flex;
        width: 90%;
        gap: 30px;
        flex-direction: column;
    }

    .about-image img {
        height: 23rem;
        width: 39rem;
    }

    .show {
        display: block;
    }

    .hide {
        display: none;
    }

    .About-heading {
        font-size: 32px;
    }

    .about-text p {
        font-size: 20px;
    }

    .section-3-para {
        line-height: 25px;
    }


    .contact-sub {
        height: 38rem;
        flex-direction: column;
        align-items: center;
        padding-top: 0;
    }

    .contact-sub-1,
    .contact-sub-2,
    .footer-link {
        width: 90%;
        color: white;
        display: flex;
        flex-direction: column;
        gap: 4px;
    }

    .contact-sub-1 p {
        font-size: 19px;
    }

    .contact-sub-2 P {
        font-size: 19px;
    }

    .contact-sub div h2 {
        font-size: 25px;
    }

    .footer-link a {
        font-size: 19px;
    }

    .footer-link {
        width: 90%;
        color: white;
        display: block;
        flex-direction: column;
        gap: 20px;
    }


    .mail,
    .add,
    .phone-num {
        font-size: 14px;
        font-weight: 600;
    }

    .socal-div {
        display: flex;
        font-size: 30px;
        gap: 10px;
        margin-top: 2px;
    }

    footer {

        font-size: 13px;
    }

}

@media only screen and (max-width:690px) {
    .about-image img {
        height: 23rem;
        width: 36rem;
    }

    .section-2 {
        height: 64rem;
        gap: 29px;
    }
}

@media only screen and (max-width:620px) {
    .navbar .logo {
        font-size: 18px;
    }

    .header-text h1 {
        font-size: 37px;
    }

    .header-text p {
        font-size: 17px;
        width: 95%;
        line-height: 22px;
    }

    .header-text {
        top: 10%;
        gap: 10px;
    }

    .btn {
        display: flex;
        gap: 20px;
        padding-top: 20px;
        flex-direction: column;
    }

    .btn button {
        height: 39px;
        width: 263px;
    }

    .section-1 {
        height: 29rem;
    }

    .section-1-inner {
        height: 29rem;
    }

    /* section - 2 started */
    .section-2 {
        height: 52rem;
        gap: 29px;
    }

    .section-2-sub {
        display: flex;
        width: 90%;
        gap: 30px;
        flex-direction: column;
    }

    .about-image img {
        height: 21rem;
        width: 35rem;
    }

    .show {
        display: block;
    }

    .hide {
        display: none;
    }

    .About-heading {
        font-size: 22px;
    }

    .about-text p {
        font-size: 18px;
    }

    .section-3-para {
        line-height: 25px;
    }


    .contact-sub {
        height: 32rem;
        flex-direction: column;
        align-items: center;
        padding-top: 0;
    }

    .contact-sub-1,
    .contact-sub-2,
    .footer-link {
        width: 90%;
        color: white;
        display: flex;
        flex-direction: column;
        gap: 4px;
    }

    .contact-sub-1 p {
        font-size: 15px;
    }

    .contact-sub-2 P {
        font-size: 15px;
    }

    .contact-sub div h2 {
        font-size: 18px;
    }

    .footer-link a {
        font-size: 12px;
    }

    .footer-link {
        width: 90%;
        color: white;
        display: block;
        flex-direction: column;
        gap: 20px;
    }


    .mail,
    .add,
    .phone-num {
        font-size: 14px;
        font-weight: 600;
    }

    .socal-div {
        display: flex;
        font-size: 30px;
        gap: 10px;
        margin-top: 2px;
    }

    footer {

        font-size: 13px;
    }

}

@media only screen and (max-width:585px) {
    .about-image img {
        height: 21rem;
        width: 33rem;
    }

    .section-2 {
        height: 56rem;
        gap: 29px;
    }
}

@media only screen and (max-width:580px) {
    .about-image img {
        height: 17rem;
        width: 32rem;
    }

    .section-2 {
        height: 53rem;
        gap: 29px;
    }
}


@media only screen and (max-width:546px) {
    .about-image img {
        height: 17rem;
        width: 30rem;
    }

    .section-2 {
        height: 54rem;
        gap: 29px;
    }
}


@media only screen and (max-width: 520px) {
    .navbar .logo {
        font-size: 18px;
    }

    .header-text h1 {
        font-size: 31px;
    }

    .header-text p {
        font-size: 17px;
        width: 95%;
        line-height: 22px;
    }

    .header-text {
        top: 10%;
        gap: 10px;
    }

    .btn {
        display: flex;
        gap: 20px;
        padding-top: 20px;
        flex-direction: column;
    }

    .btn button {
        height: 39px;
        width: 263px;
    }

    .section-1 {
        height: 29rem;
    }

    .section-1-inner {
        height: 29rem;
    }

    /* section - 2 started */
    .section-2 {
        height: 52rem;
        gap: 29px;
    }

    .section-2-sub {
        display: flex;
        width: 90%;
        gap: 30px;
        flex-direction: column;
    }

    .about-image img {
        height: 17rem;
        width: 29rem;
    }

    .show {
        display: block;
    }

    .hide {
        display: none;
    }

    .About-heading {
        font-size: 22px;
    }

    .about-text p {
        font-size: 16px;
    }

    .section-3-para {
        line-height: 25px;
    }


    .contact-sub {
        height: 32rem;
        flex-direction: column;
        align-items: center;
        padding-top: 0;
    }

    .contact-sub-1,
    .contact-sub-2,
    .footer-link {
        width: 90%;
        color: white;
        display: flex;
        flex-direction: column;
        gap: 4px;
    }

    .contact-sub-1 p {
        font-size: 15px;
    }

    .contact-sub-2 P {
        font-size: 15px;
    }

    .contact-sub div h2 {
        font-size: 18px;
    }

    .footer-link a {
        font-size: 12px;
    }

    .footer-link {
        width: 90%;
        color: white;
        display: block;
        flex-direction: column;
        gap: 20px;
    }


    .mail,
    .add,
    .phone-num {
        font-size: 14px;
        font-weight: 600;
    }

    .socal-div {
        display: flex;
        font-size: 30px;
        gap: 10px;
        margin-top: 2px;
    }

    footer {

        font-size: 13px;
    }

}


@media only screen and (max-width: 490px) {
    .navbar .logo {
        font-size: 18px;
    }

    .header-text h1 {
        font-size: 26px;
    }

    .header-text p {
        font-size: 17px;
        width: 95%;
        line-height: 22px;
    }

    .header-text {
        top: 10%;
        gap: 10px;
    }

    .btn {
        display: flex;
        gap: 20px;
        padding-top: 20px;
        flex-direction: column;
    }

    .btn button {
        height: 39px;
        width: 263px;
    }

    .section-1 {
        height: 29rem;
    }

    .section-1-inner {
        height: 29rem;
    }

    /* section - 2 started */
    .section-2 {
        height: 52rem;
        gap: 29px;
    }

    .section-2-sub {
        display: flex;
        width: 90%;
        gap: 30px;
        flex-direction: column;
    }

    .about-image img {
        height: 17rem;
        width: 24rem;
    }

    .show {
        display: block;
    }

    .hide {
        display: none;
    }

    .About-heading {
        font-size: 22px;
    }

    .about-text p {
        font-size: 16px;
    }

    .section-3-para {
        line-height: 25px;
    }


    .contact-sub {
        height: 28rem;
        flex-direction: column;
        align-items: center;
        padding-top: 0;
    }

    .contact-sub-1,
    .contact-sub-2,
    .footer-link {
        width: 90%;
        color: white;
        display: flex;
        flex-direction: column;
        gap: 4px;
    }

    .contact-sub-1 p {
        font-size: 10px;
    }

    .contact-sub-2 P {
        font-size: 15px;
    }

    .contact-sub div h2 {
        font-size: 18px;
    }

    .footer-link a {
        font-size: 12px;
    }

    .footer-link {
        width: 90%;
        color: white;
        display: block;
        flex-direction: column;
        gap: 20px;
    }


    .mail,
    .add,
    .phone-num {
        font-size: 14px;
        font-weight: 600;
    }

    .socal-div {
        display: flex;
        font-size: 30px;
        gap: 10px;
        margin-top: 2px;
    }

    footer {

        font-size: 13px;
    }

}

@media only screen and (max-width: 420px){
    .about-image img {
        height: 17rem;
        width: 22rem;
    }
    .about-image img {
        height: 17rem;
        width: 22rem;
    }
}

@media only screen and (max-width: 390px) {
    .navbar .logo {
        font-size: 18px;
    }

    .header-text h1 {
        font-size: 23px;
    }

    .header-text p {
        font-size: 14px;
        width: 95%;
        line-height: 22px;
    }

    .header-text {
        top: 10%;
        gap: 10px;
    }

    .btn {
        display: flex;
        gap: 20px;
        padding-top: 20px;
        flex-direction: column;
    }

    .btn button {
        height: 39px;
        width: 263px;
    }

    .section-1 {
        height: 29rem;
    }

    .section-1-inner {
        height: 29rem;
    }

    /* section - 2 started */
    .section-2 {
        height: 48rem;
        gap: 29px;
    }

    .section-2-sub {
        display: flex;
        width: 90%;
        gap: 30px;
        flex-direction: column;
    }

    .about-image img {
        height: 13rem;
        width: 21rem;
    }

    .show {
        display: block;
    }

    .hide {
        display: none;
    }

    .About-heading {
        font-size: 17px;
    }

    .about-text p {
        font-size: 15px;
    }

    .section-3-para {
        line-height: 25px;
    }


    .contact-sub {
        height: 28rem;
        flex-direction: column;
        align-items: center;
        padding-top: 0;
    }

    .contact-sub-1,
    .contact-sub-2,
    .footer-link {
        width: 90%;
        color: white;
        display: flex;
        flex-direction: column;
        gap: 4px;
    }

    .contact-sub-1 p {
        font-size: 10px;
    }

    .contact-sub-2 P {
        font-size: 15px;
    }

    .contact-sub div h2 {
        font-size: 18px;
    }

    .footer-link a {
        font-size: 12px;
    }

    .footer-link {
        width: 90%;
        color: white;
        display: block;
        flex-direction: column;
        gap: 20px;
    }


    .mail,
    .add,
    .phone-num {
        font-size: 14px;
        font-weight: 600;
    }

    .socal-div {
        display: flex;
        font-size: 30px;
        gap: 10px;
        margin-top: 2px;
    }

    footer {

        font-size: 10px;
    }

}


@media only screen and (max-width: 350px) {
    .about-image img {
        height: 13rem;
        width: 20rem;
    }

    .section-2 {
        height: 51rem;
        gap: 29px;
    }
}

@media only screen and (max-width: 320px) {
    .navbar .logo {
        font-size: 18px;
    }

    .header-text h1 {
        font-size: 21px;
    }

    .header-text p {
        font-size: 14px;
        width: 95%;
        line-height: 22px;
    }

    .header-text {
        top: 10%;
        gap: 10px;
    }

    .btn {
        display: flex;
        gap: 20px;
        padding-top: 20px;
        flex-direction: column;
    }

    .btn button {
        height: 39px;
        width: 263px;
    }

    .section-1 {
        height: 29rem;
    }

    .section-1-inner {
        height: 29rem;
    }

    /* section - 2 started */
    .section-2 {
        height: 51rem;
        gap: 29px;
    }

    .section-2-sub {
        display: flex;
        width: 90%;
        gap: 30px;
        flex-direction: column;
    }

    .about-image img {
        height: 13rem;
        width: 18rem;
    }

    .show {
        display: block;
    }

    .hide {
        display: none;
    }

    .About-heading {
        font-size: 17px;
    }

    .about-text p {
        font-size: 15px;
    }

    .section-3-para {
        line-height: 25px;
    }


    .contact-sub {
        height: 28rem;
        flex-direction: column;
        align-items: center;
        padding-top: 0;
    }

    .contact-sub-1,
    .contact-sub-2,
    .footer-link {
        width: 90%;
        color: white;
        display: flex;
        flex-direction: column;
        gap: 4px;
    }

    .contact-sub-1 p {
        font-size: 10px;
    }

    .contact-sub-2 P {
        font-size: 15px;
    }

    .contact-sub div h2 {
        font-size: 18px;
    }

    .footer-link a {
        font-size: 12px;
    }

    .footer-link {
        width: 90%;
        color: white;
        display: block;
        flex-direction: column;
        gap: 20px;
    }


    .mail,
    .add,
    .phone-num {
        font-size: 14px;
        font-weight: 600;
    }

    .socal-div {
        display: flex;
        font-size: 30px;
        gap: 10px;
        margin-top: 2px;
    }

    footer {

        font-size: 10px;
    }

}